XPathException (Java SE 15 & JDK 15)
Description: declaration: module: jdk.xml.dom, package: org.w3c.dom.xpath, class: XPathException
Keywords: org.w3c.dom.xpath.XPathException class

Module jdk.xml.dom
Package org.w3c.dom.xpath

# Class XPathException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.w3c.dom.xpath.XPathException

All Implemented Interfaces:
  `Serializable`

    public class XPathException
    extends RuntimeException

A new exception has been created for exceptions specific to these XPath interfaces. See also Document Object Model (DOM) Level 3 XPath Specification, Version 1.0, W3C Working Group Note 26 February 2004 Note that this class came from Document Object Model (DOM) Level 3 XPath Specification, Working Draft 20 August 2002 where the values of `INVALID_EXPRESSION_ERR` and `TYPE_ERR` are 1 and 2 respectively (instead of 51 and 52 as in the 2004 version).

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `short` | `code` |
  `static short` | `INVALID_EXPRESSION_ERR` | If the expression has a syntax error or otherwise is not a legal expression according to the rules of the specific `XPathEvaluator` or contains specialized extension functions or variables not supported by this implementation.
  `static short` | `TYPE_ERR` | If the expression cannot be converted to return the specified type.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `XPathException​(short code, String message)` |

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### code

    public short code

  - ### INVALID_EXPRESSION_ERR

    public static final short INVALID_EXPRESSION_ERR
    If the expression has a syntax error or otherwise is not a legal expression according to the rules of the specific `XPathEvaluator` or contains specialized extension functions or variables not supported by this implementation.
    See Also:
      Constant Field Values

  - ### TYPE_ERR

    public static final short TYPE_ERR
    If the expression cannot be converted to return the specified type.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### XPathException

    public XPathException​(short code, String message)